clang 10.0.0git

Classes | Public Member Functions | List of all members
clang::diff::ASTDiff Class Reference

`#include "clang/Tooling/ASTDiff/ASTDiff.h"`

## Classes
class | Impl

## Public Member Functions
| ASTDiff (SyntaxTree &Src, SyntaxTree &Dst, const ComparisonOptions &Options)
| ~ASTDiff ()
NodeId | getMapped (const SyntaxTree &SourceTree, NodeId Id) const

## Detailed Description

Definition at line 51 of file ASTDiff.h.

## Constructor & Destructor Documentation

## ◆ ASTDiff()

clang::diff::ASTDiff::ASTDiff | ( | SyntaxTree & | Src,
|  | SyntaxTree & | Dst,
|  | const ComparisonOptions & | Options
| ) |  |

Definition at line 961 of file ASTDiff.cpp.

References ~ASTDiff().

## ◆ ~ASTDiff()

clang::diff::ASTDiff::~ASTDiff | ( |  | ) |
| default

Referenced by ASTDiff().

## Member Function Documentation

## ◆ getMapped()

NodeId clang::diff::ASTDiff::getMapped | ( | const SyntaxTree & | SourceTree,
|  | NodeId | Id
| ) |  | const

Definition at line 967 of file ASTDiff.cpp.

References clang::diff::SyntaxTree::TreeImpl.

The documentation for this class was generated from the following files:

- include/clang/Tooling/ASTDiff/ASTDiff.h
- lib/Tooling/ASTDiff/ASTDiff.cpp